apiVersion: apps/v1beta1
kind: Deployment
metadata:
  name: kibana-logging
spec:
  replicas: 1
  template:
    metadata:
      labels:
        app: kibana-logging
    spec:
      containers:
      - image: docker.elastic.co/kibana/kibana:5.5.1
        name: kibana-logging
        command:
        - /bin/bash
        - -c
        - |
          bin/kibana-plugin remove x-pack ;
          /usr/local/bin/kibana-docker
        env:
        - name: ELASTICSEARCH_URL
          value: "http://es-logging-svc:9200"
---
apiVersion: v1
kind: Service
metadata:
  name: kibana-logging-svc
spec:
  ports:
  - port: 5601
  selector:
    app: kibana-logging

